[SciPy-user] problems with scipy.test() on Opteron 64-bit

Pearu Peterson pearu at scipy.org
Wed Nov 24 05:06:30 CST 2004



On Wed, 24 Nov 2004, Giovanni Samaey wrote:

> Since I don't use linalg myself, I do not have any problems using SciPy 
> like this. But I would appreciate this being solved before giving access 
> to others. Since we plan on encouraging new students to use this 
> environment instead of matlab, any help would be welcome.

On a 64-bit platform you'll need F2PY version 2.43.239_1831, at least.
Also upgrading Numeric would be recommended (make sure that new
Numeric header files are copied to install directory as well).

Btw, all scipy tests pass ok on a dual Opteron box with 64-bit gentoo 
system. I am using f2py from cvs, scipy from cvs, Numeric 23.5, ATLAS 
3.7.8, Python 2.3.4, gcc 3.4.3 in this box.

Pearu



More information about the SciPy-user mailing list